# WinStd: winstd::UnmapViewOfFile_delete< _Ty[]> Struct Template Reference

winstd::UnmapViewOfFile_delete< _Ty[]> Struct Template Reference
Windows API

Deleter for unique_ptr to array of unknown size using UnmapViewOfFile. More...

`#include <WinStd/Win.h>`

## Public Types

typedef UnmapViewOfFile_delete< _Ty > | _Myt
| This type.

## Public Member Functions

| UnmapViewOfFile_delete ()
| Default construct.
void | operator() (_Ty *_Ptr) const
| Delete a pointer.
template<class _Other >
void | operator() (_Other *) const
| Delete a pointer of another type.

## Detailed Description

template<class _Ty>
struct winstd::UnmapViewOfFile_delete< _Ty[]>

Deleter for unique_ptr to array of unknown size using UnmapViewOfFile.

The documentation for this struct was generated from the following file:

- include/WinStd/Win.h